# $Revision: 1.11.2.2 $, $Date: 2006/05/31 19:18:35 $
#
# Conditional build:
%bcond_without	evolution	# build without evolution support
#
%define		_realname	deskbar-applet
Summary:	GNOME applet similar to Google's Deskbar
Summary(pl):	Aplet GNOME podobny do Google Deskbar
Name:		gnome-applet-deskbar
Version:	2.14.2
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/deskbar-applet/2.14/%{_realname}-%{version}.tar.bz2
# Source0-md5:	382379d0c4ca4bd73f14b25d3a04b7cc
Patch0:		%{name}-pyc.patch
URL:		http://browserbookapp.sourceforge.net/deskbar.html
BuildRequires:	GConf2-devel
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_evolution:BuildRequires:	evolution-data-server-devel}
BuildRequires:	gettext-devel
BuildRequires:	gnome-desktop-devel >= 2.14.0
BuildRequires:	intltool >= 0.33
BuildRequires:	pkgconfig
BuildRequires:	python-gnome-desktop-devel >= 2.14.0
BuildRequires:	python-pygtk-devel >= 2.8.0
BuildRequires:	rpmbuild(macros) >= 1.197
Requires(post,preun):	GConf2
Requires:	pydoc
Requires:	python-gnome-desktop-applet >= 2.14.0
Requires:	python-gnome-gconf >= 2.12.0
Requires:	python-gnome-ui >= 2.12.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME applet similar to Google's Deskbar.

%description -l pl
Aplet GNOME podobny do Google Deskbar.

%prep
%setup -q -n %{_realname}-%{version}
%patch0 -p1

%build
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--disable-schemas-install \
	--%{!?with_evolution:dis}%{?with_evolution:en}able-evolution

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pythondir=%{py_sitedir}

rm -f $RPM_BUILD_ROOT%{py_sitedir}/deskbar/*.py
rm -f $RPM_BUILD_ROOT%{py_sitedir}/deskbar/*/*.{la,py}
rm -f $RPM_BUILD_ROOT%{py_sitedir}/deskbar/*/*/*.{la,py}
rm -f $RPM_BUILD_ROOT%{_libdir}/deskbar-applet/handlers/*.py

%find_lang %{_realname}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install deskbar-applet.schemas

%preun
%gconf_schema_uninstall deskbar-applet.schemas

%files -f %{_realname}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%{_datadir}/deskbar-applet
%dir %{_libdir}/deskbar-applet
%attr(755,root,root) %{_libdir}/deskbar-applet/deskbar-applet
%dir %{_libdir}/deskbar-applet/handlers
%{_libdir}/deskbar-applet/handlers/*.py[co]
%{_libdir}/bonobo/servers/*.server
%dir %{py_sitedir}/deskbar

%if %{with evolution}
%dir %{py_sitedir}/deskbar/evolution
%{py_sitedir}/deskbar/evolution/*.py[co]
%attr(755,root,root) %{py_sitedir}/deskbar/evolution/*.so
%endif

%dir %{py_sitedir}/deskbar/gnomedesktop
%dir %{py_sitedir}/deskbar/iconentry
%dir %{py_sitedir}/deskbar/keybinder
%dir %{py_sitedir}/deskbar/osutils
%dir %{py_sitedir}/deskbar/ui
%dir %{py_sitedir}/deskbar/ui/completion
%dir %{py_sitedir}/deskbar/ui/cuemiac
%dir %{py_sitedir}/deskbar/ui/entriac

%{py_sitedir}/deskbar/gnomedesktop/*.py[co]
%{py_sitedir}/deskbar/iconentry/*.py[co]
%{py_sitedir}/deskbar/keybinder/*.py[co]
%{py_sitedir}/deskbar/osutils/*.py[co]
%{py_sitedir}/deskbar/*.py[co]
%{py_sitedir}/deskbar/ui/completion/*.py[co]
%{py_sitedir}/deskbar/ui/cuemiac/*.py[co]
%{py_sitedir}/deskbar/ui/entriac/*.py[co]
%{py_sitedir}/deskbar/ui/*.py[co]
%attr(755,root,root) %{py_sitedir}/deskbar/gnomedesktop/*.so
%attr(755,root,root) %{py_sitedir}/deskbar/iconentry/*.so
%attr(755,root,root) %{py_sitedir}/deskbar/keybinder/*.so
%attr(755,root,root) %{py_sitedir}/deskbar/osutils/*.so

%{_pixmapsdir}/*
%{_sysconfdir}/gconf/schemas/deskbar-applet.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-applet-deskbar.spec,v $
Revision 1.11.2.2  2006/05/31 19:18:35  freetz
- 2.14.2, GNOME 2.14.2 deps

Revision 1.11.2.1  2006/05/17 13:12:53  baggins
- merged from HEAD
- BRs for GNOME 2.14

Revision 1.20  2006/04/17 06:58:05  paladine
- updated to 2.14.1.1

Revision 1.19  2006/04/10 17:54:08  freetz
- 2.14.1

Revision 1.18  2006/03/14 07:01:31  freetz
- 2.14.0.1

Revision 1.17  2006/03/12 21:47:42  freetz
- 2.14.0

Revision 1.16  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.15  2006/02/28 15:09:49  freetz
- 2.13.92

Revision 1.14  2006/02/14 08:23:45  freetz
- 2.13.91

Revision 1.13  2006/02/04 22:13:53  freetz
- 2.13.90.1

Revision 1.12  2006/01/31 18:23:50  freetz
- 2.13.90, updated file list, updated deps

Revision 1.11  2006/01/04 14:50:57  freetz
- 0.8.7

Revision 1.10  2005/12/12 17:10:45  freetz
- 0.8.6.1

Revision 1.9  2005/12/10 11:55:23  freetz
- 0.8.6, beagle removed from here (for beagle runtime features install
  python-beagle package), updated BR

Revision 1.8  2005/11/14 19:28:22  freetz
- 0.8.5, new source url, more %%files

Revision 1.7  2005/11/10 21:51:18  freetz
- 0.8.4, files handler fix already included

Revision 1.6  2005/11/02 19:38:57  paladine
- added files_handler patch

Revision 1.5  2005/11/02 17:48:22  paladine
- updated to 0.8.3
- added pyc patch
- use %{py_sitedir} instead of %{py_sitescriptdir} due to .so files
- rel. 0.9, works for me

Revision 1.4  2005/10/25 21:22:37  paladine
- updated to 0.8.2
- added bconds for beagle and evolution (removed todo)
- added missing Rs
- removed *.py where they're not needed
- fixed %%files

Revision 1.3  2005/10/24 20:29:54  freetz
- updated to 0.8.0 (in conspiration with paladine), added beagle
  and evolution handlers

Revision 1.2  2005/02/23 20:22:37  paladine
- updated to 0.2

Revision 1.1  2004/12/21 09:38:14  paladine
- initial PLD release
